FreeMat

- Main Page
- Related Pages

vtkImageReader2Collection

Section: Visualization Toolkit IO Classes

# Usage

vtkImageReader2Collection is an object that creates and manipulates lists of objects of type vtkImageReader2 and its subclasses.

To create an instance of class vtkImageReader2Collection, simply invoke its constructor as follows

      obj = vtkImageReader2Collection

# Methods

The class vtkImageReader2Collection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageReader2Collection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageReader2Collection = obj.NewInstance ()`
- `vtkImageReader2Collection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkImageReader2 )` - Add an image reader to the list.
- `vtkImageReader2 = obj.GetNextItem ()` - Get the next image reader in the list.